XnEventInterfaceT< FuncPtr > Class Template Reference

`#include <XnEventT.h>`

## Public Types

typedef FuncPtr | HandlerPtr
typedef XnCallbackT< FuncPtr > | TCallback
typedef XnEventInterfaceT | TInterface

## Public Member Functions

| ~XnEventInterfaceT ()
XnStatus | Register (FuncPtr pFunc, void *pCookie, XnCallbackHandle &hCallback)
XnStatus | Unregister (XnCallbackHandle hCallback)

## Protected Types

typedef XnListT< TCallback * > | CallbackPtrList

## Protected Member Functions

| XnEventInterfaceT ()
| XnEventInterfaceT (const XnEventInterfaceT &other)
XnEventInterfaceT & | operator= (const XnEventInterfaceT &other)
XnStatus | Clear ()
XnStatus | ApplyListChanges ()
XnBool | RemoveCallback (CallbackPtrList &list, TCallback *pCallback)

## Protected Attributes

XN_CRITICAL_SECTION_HANDLE | m_hLock
CallbackPtrList | m_callbacks
CallbackPtrList | m_toAdd
CallbackPtrList | m_toRemove

## Detailed Description

template<typename FuncPtr>
class XnEventInterfaceT< FuncPtr >

A class that contains the interface of an event (i.e. Register and Unregister)

Template Parameters

  FuncPtr | The callback signature

## Member Typedef Documentation

## CallbackPtrList

template<typename FuncPtr>

typedef XnListT<TCallback*> XnEventInterfaceT< FuncPtr >::CallbackPtrList

protected

## HandlerPtr

template<typename FuncPtr>

typedef FuncPtr XnEventInterfaceT< FuncPtr >::HandlerPtr

## TCallback

template<typename FuncPtr>

typedef XnCallbackT<FuncPtr> XnEventInterfaceT< FuncPtr >::TCallback

## TInterface

template<typename FuncPtr>

typedef XnEventInterfaceT XnEventInterfaceT< FuncPtr >::TInterface

## Constructor & Destructor Documentation

## ~XnEventInterfaceT()

template<typename FuncPtr>

XnEventInterfaceT< FuncPtr >::~XnEventInterfaceT | ( |  | ) |

inline

## XnEventInterfaceT() [1/2]

template<typename FuncPtr>

XnEventInterfaceT< FuncPtr >::XnEventInterfaceT | ( |  | ) |

inline protected

## XnEventInterfaceT() [2/2]

template<typename FuncPtr>

XnEventInterfaceT< FuncPtr >::XnEventInterfaceT | ( | const XnEventInterfaceT< FuncPtr > & | other | ) |

inline protected

## Member Function Documentation

## ApplyListChanges()

template<typename FuncPtr>

XnStatus XnEventInterfaceT< FuncPtr >::ApplyListChanges | ( |  | ) |

inline protected

## Clear()

template<typename FuncPtr>

XnStatus XnEventInterfaceT< FuncPtr >::Clear | ( |  | ) |

inline protected

## operator=()

template<typename FuncPtr>

XnEventInterfaceT & XnEventInterfaceT< FuncPtr >::operator= | ( | const XnEventInterfaceT< FuncPtr > & | other | ) |

inline protected

## Register()

template<typename FuncPtr>

XnStatus XnEventInterfaceT< FuncPtr >::Register | ( | FuncPtr | pFunc,
|  | void * | pCookie,
|  | XnCallbackHandle & | hCallback )

inline

## RemoveCallback()

template<typename FuncPtr>

XnBool XnEventInterfaceT< FuncPtr >::RemoveCallback | ( | CallbackPtrList & | list,
|  | TCallback * | pCallback )

inline protected

## Unregister()

template<typename FuncPtr>

XnStatus XnEventInterfaceT< FuncPtr >::Unregister | ( | XnCallbackHandle | hCallback | ) |

inline

## Member Data Documentation

## m_callbacks

template<typename FuncPtr>

CallbackPtrList XnEventInterfaceT< FuncPtr >::m_callbacks

protected

## m_hLock

template<typename FuncPtr>

XN_CRITICAL_SECTION_HANDLE XnEventInterfaceT< FuncPtr >::m_hLock

protected

## m_toAdd

template<typename FuncPtr>

CallbackPtrList XnEventInterfaceT< FuncPtr >::m_toAdd

protected

## m_toRemove

template<typename FuncPtr>

CallbackPtrList XnEventInterfaceT< FuncPtr >::m_toRemove

protected

The documentation for this class was generated from the following file:

- XnEventT.h